Jump to content
xlight

Modules ne s'affiche pas apres migration [1.3.0.10] => [1.5.4.1]

Recommended Posts

bonsoir a tous,

 

j'ai entrepris de migrer mon prestashop depuis la version 1.3.0.10 vers la dernière 1.5.4.1, tout s'est bien passé, sauf au niveau de la page modules :

 

j'ai une page blanche qui s'affiche. Après avoir activé les traces j'ai cette erreur :

 

Fatal error: Cannot make static method ModuleCore::getPaymentModules() non static in class jbx_cart_to_order in /var/www/mv-racing-test/modules/jbx_cart_to_order/jbx_cart_to_order.php on line 98

 

il semblerait qu'il y ai un lien avec un module que j'avais installé, dénommé cart-to-order-v1-0/

 

Sauriez-vous m'aider ? j'ai vraiment pas d'idée pour me débloquer ...

 

Merci d'avance

Share this post


Link to post
Share on other sites

Vous êtes passé de la 1.3.0.10 à la 1.5.4.1 d'un seul coup ? Personnellement je n'ai jamais fait un tel bond de version (Surtout que la PrestaTeam à la mauvaise tendance à faire des changements radicaux causant des problèmes de compatibilités).

 

Avez-vous fais un back-up de votre site avant tous travaux dessus ? Si oui dans ce cas, je vous conseil d'essayer de d'abord faire une migration vers la dernière version stable 1.3 (je ne sais plus laquelle est-ce), puis une nouvelle migration vers la dernière version stable 1.4 (1.4.11), et pour finir une migration vers la 1.5.4.

Enfin du moins c'est comme cela que j'aurais procédé. Je précise tout de même que faire une migration implique à chaque fois de faire des phases de tests (Vérifié la compatibilité ou/et faire la MAJ des modules, des thèmes et des overrides mis en place, etc)...

 

Si vous avez aucun back-up et aucun moyen de revenir en arrière, il faudrait essayer de désactivé le module qui semble vous posez des soucis. Dans l'ordre des possibilités : via le back-office, via la BDD, effacer ou couper les fichiers du module autre part.

Share this post


Link to post
Share on other sites

Est-ce un module acheté ? A-t-il été mis à jour pour être compatible ? Je pense que non.... surtout que ca vient d'un site externe non mis à jour... Perso, je l'utiliserais même pas. ^^'

 

A part ça, voici peut-être un solution pour le rendre compatible avec Presta 1.5, du moins ça à l'air de marché avec la 1.4 déjà :

http://www.prestashop.com/forums/topic/98652-jbx-cart-to-order/

  • Like 1

Share this post


Link to post
Share on other sites

bonsoir a tous,

 

j'ai entrepris de migrer mon prestashop depuis la version 1.3.0.10 vers la dernière 1.5.4.1, tout s'est bien passé, sauf au niveau de la page modules :

 

j'ai une page blanche qui s'affiche. Après avoir activé les traces j'ai cette erreur :

 

Fatal error: Cannot make static method ModuleCore::getPaymentModules() non static in class jbx_cart_to_order in /var/www/mv-racing-test/modules/jbx_cart_to_order/jbx_cart_to_order.php on line 98
il semblerait qu'il y ai un lien avec un module que j'avais installé, dénommé cart-to-order-v1-0/

 

Sauriez-vous m'aider ? j'ai vraiment pas d'idée pour me débloquer ...

 

Merci d'avance

 

 

Bonjour,

 

Il est bien possible de passer d'une 1.3 à une 1.5.5.0. A priori il faudrait voir avec Julien Breux pour faire corriger ce module ou effectivement suivre le post indiqué par FMR.

 

Cordialement

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More